package com.quarkus.bugreport

import io.quarkus.logging.Log
import io.quarkus.scheduler.Scheduled
import jakarta.enterprise.context.ApplicationScoped
import org.eclipse.microprofile.config.inject.ConfigProperty

@ApplicationScoped
class GreetingResource(
    @ConfigProperty(name = "my.config.intConfig") private val intConfig: Int,
    @ConfigProperty(name = "my.config.stringConfig") private val stringConfig: String,
) {

    @Scheduled(every = "5s")
    fun doStuff() {
        Log.info("READ my.config.intConfig: $intConfig")
        Log.info("READ my.config.stringConfig: $stringConfig")
    }
}
